Package org.gradle.jvm.toolchain

# Interface JavaToolchainRepositoryHandler

@Incubating public interface JavaToolchainRepositoryHandler
`NamedDomainObjectList` based handler for configuring an ordered collection of `JavaToolchainRepository` implementations.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<JavaToolchainRepository>`
  `getAsList()`
  Returns a list of repositories that have been added so far.
  `boolean`
  `remove(String name)`
  Removes the repository with the given name.
  `void`
  `repository(String name, Action<? super JavaToolchainRepository> configureAction)`
  Utility method for creating a named `JavaToolchainRepository` based on a configuration block.
  `int`
  `size()`
  Returns the count of the repositories added so far.

- ## Method Details

  - ### repository

    void repository(String name, Action<? super JavaToolchainRepository> configureAction)
    Utility method for creating a named `JavaToolchainRepository` based on a configuration block.

  - ### getAsList

    List<JavaToolchainRepository> getAsList()
    Returns a list of repositories that have been added so far. The list order reflects the order in which the repositories have been declared.
    Since:
      7.6.1

  - ### size

    int size()
    Returns the count of the repositories added so far.
    Since:
      7.6.1

  - ### remove

    boolean remove(String name)
    Removes the repository with the given name.

    Returns true if a repository with the specified name exists and has been successfully removed, false otherwise.

    Since:
      7.6.1